create_group#
- Modeler3D.create_group(objects=None, components=None, groups=None, group_name=None)[source]#
Group objects or groups into one group.
At least one between
objects
,components
,groups
has to be defined.- Parameters:
- objects
list
,optional
List of objects. The default is
None
, in which case a group with all objects is created.- components
list
,optional
List of 3d components to group. The default is
None
.- groups
list
,optional
List of groups. The default is
None
.- group_name
str
,optional
Name of the new group. The default is
None
. It is not possible to choose the name but a name is assigned automatically.
- objects
- Returns:
str
Name assigned to the new group.
References
>>> oEditor.CreateGroup